<?xml version="1.0"?>
<testsuite name="HeadlessChrome 88.0.4324 (Windows 10.0.0)" package="unit" timestamp="2021-02-14T23:15:06" id="0" hostname="DESKTOP-U4USKBR" tests="5" errors="1" failures="5" time="0.353">
  <properties>
    <property name="browser.fullName" value="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) HeadlessChrome/88.0.4324.150 Safari/537.36"/>
  </properties>
  <testcase name="RecordTableComponent Should render the initial UI as expected" time="0.186" classname=".RecordTableComponent">
    <failure type="">NullInjectorError: R3InjectorError(DynamicTestModule)[DatePipe -&gt; DatePipe]: 
  NullInjectorError: No provider for DatePipe!
error properties: Object({ ngTempTokenPath: null, ngTokenPath: [ 'DatePipe', 'DatePipe' ] })
    at &lt;Jasmine&gt;
    at NullInjector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:915:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at NgModuleRef$1.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:24199:1)
    at Object.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:22102:1)
    at getOrCreateInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:3921:1)
    at ɵɵdirectiveInject (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:13753:1)
    at NodeInjectorFactory.RecordTableComponent_Factory [as factory] (ng:///RecordTableComponent/ɵfac.js:5:48)
    at getNodeInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:4029:1)
    at instantiateRootComponent (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:7826:1)
</failure>
  </testcase>
  <testcase name="RecordTableComponent Should not filter data when date is not selected" time="0.13" classname=".RecordTableComponent">
    <failure type="">NullInjectorError: R3InjectorError(DynamicTestModule)[DatePipe -&gt; DatePipe]: 
  NullInjectorError: No provider for DatePipe!
error properties: Object({ ngTempTokenPath: null, ngTokenPath: [ 'DatePipe', 'DatePipe' ] })
    at &lt;Jasmine&gt;
    at NullInjector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:915:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at NgModuleRef$1.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:24199:1)
    at Object.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:22102:1)
    at getOrCreateInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:3921:1)
    at ɵɵdirectiveInject (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:13753:1)
    at NodeInjectorFactory.RecordTableComponent_Factory [as factory] (ng:///RecordTableComponent/ɵfac.js:5:48)
    at getNodeInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:4029:1)
    at instantiateRootComponent (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:7826:1)
</failure>
  </testcase>
  <testcase name="RecordTableComponent Should show the correct data when sort and filter are done together" time="0.012" classname=".RecordTableComponent">
    <failure type="">NullInjectorError: R3InjectorError(DynamicTestModule)[DatePipe -&gt; DatePipe]: 
  NullInjectorError: No provider for DatePipe!
error properties: Object({ ngTempTokenPath: null, ngTokenPath: [ 'DatePipe', 'DatePipe' ] })
    at &lt;Jasmine&gt;
    at NullInjector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:915:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at NgModuleRef$1.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:24199:1)
    at Object.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:22102:1)
    at getOrCreateInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:3921:1)
    at ɵɵdirectiveInject (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:13753:1)
    at NodeInjectorFactory.RecordTableComponent_Factory [as factory] (ng:///RecordTableComponent/ɵfac.js:5:48)
    at getNodeInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:4029:1)
    at instantiateRootComponent (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:7826:1)
</failure>
  </testcase>
  <testcase name="RecordTableComponent Should sort the data on clicking the header" time="0.012" classname=".RecordTableComponent">
    <failure type="">NullInjectorError: R3InjectorError(DynamicTestModule)[DatePipe -&gt; DatePipe]: 
  NullInjectorError: No provider for DatePipe!
error properties: Object({ ngTempTokenPath: null, ngTokenPath: [ 'DatePipe', 'DatePipe' ] })
    at &lt;Jasmine&gt;
    at NullInjector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:915:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at NgModuleRef$1.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:24199:1)
    at Object.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:22102:1)
    at getOrCreateInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:3921:1)
    at ɵɵdirectiveInject (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:13753:1)
    at NodeInjectorFactory.RecordTableComponent_Factory [as factory] (ng:///RecordTableComponent/ɵfac.js:5:48)
    at getNodeInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:4029:1)
    at instantiateRootComponent (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:7826:1)
</failure>
  </testcase>
  <testcase name="RecordTableComponent Should filter the data by initial date" time="0.013" classname=".RecordTableComponent">
    <failure type="">NullInjectorError: R3InjectorError(DynamicTestModule)[DatePipe -&gt; DatePipe]: 
  NullInjectorError: No provider for DatePipe!
error properties: Object({ ngTempTokenPath: null, ngTokenPath: [ 'DatePipe', 'DatePipe' ] })
    at &lt;Jasmine&gt;
    at NullInjector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:915:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at R3Injector.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:11082:1)
    at NgModuleRef$1.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:24199:1)
    at Object.get (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:22102:1)
    at getOrCreateInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:3921:1)
    at ɵɵdirectiveInject (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:13753:1)
    at NodeInjectorFactory.RecordTableComponent_Factory [as factory] (ng:///RecordTableComponent/ɵfac.js:5:48)
    at getNodeInjectable (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:4029:1)
    at instantiateRootComponent (http://localhost:9876/_karma_webpack_/node_modules/@angular/core/__ivy_ngcc__/fesm2015/core.js:7826:1)
</failure>
  </testcase>
  <system-out>
    <![CDATA[
]]>
  </system-out>
  <system-err/>
</testsuite>